Bug 46634 - libreoffice: Multiple issues (4.3)
libreoffice: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-13 17:30 CET by Philipp Hahn
Modified: 2018-05-16 17:04 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.6 (CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-03-13 17:30:10 CET
New Debian libreoffice 1:5.2.7-1+deb9u3 fixes:
This update addresses the following issues:
* Improvement to not throw more errors than neccessary (use the right error
  code) on WEBSERVICE() failures.
* Do another replacement of FormulaError::NoValue to formula::errNoValue for
  clarity.
* Backport from 5.4 branch to let FunctionAccess execute WEBSERVICE.
Comment 1 Philipp Hahn univentionstaff 2018-03-13 17:36:02 CET
[4.3-0] 852f819a07 Bug #46634: libreoffice_1:5.2.7-1+deb9u3
Comment 2 Philipp Hahn univentionstaff 2018-04-22 14:31:53 CEST
CVE-2018-10119 libreoffice: Use after free in sdstor/stgstrms.cxx:StgSmallStrm class allows for denial of service with crafted document
CVE-2018-10120 libreoffice: Out of bounds write in filter/ww8/ww8toolbar.cxx:SwCTBWrapper class allows for denial of service with crafted document


[4.3-0] 97fa875e41 Bug #46634: libreoffice 1:5.2.7-1+deb9u4
 i386 is missing on Debian: <https://packages.debian.org/stretch/libreoffice>
Comment 3 Philipp Hahn univentionstaff 2018-04-23 10:19:10 CEST
(In reply to Philipp Hahn from comment #2)
> [4.3-0] 97fa875e41 Bug #46634: libreoffice 1:5.2.7-1+deb9u4
>  i386 is missing on Debian: <https://packages.debian.org/stretch/libreoffice>

Fixed by mirroring i386 from Debian-Security after Mirror update.
Comment 4 Quality Assurance univentionstaff 2018-05-04 16:43:38 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/libreoffice_5.2.7-1+deb9u2.dsc
+++ apt/ucs_4.3-0-errata4.3-0/source/libreoffice_5.2.7-1+deb9u4.dsc
@@ -1,3 +1,22 @@
+1:5.2.7-1+deb9u4 [Wed, 18 Apr 2018 17:17:55 +0200] Rene Engelhard <rene@debian.org>:
+
+  * debian/patches/CVE-2018-10119.diff,
+    debian/patches/CVE-2018-10120.diff: as name says...
+
+1:5.2.7-1+deb9u3 [Thu, 22 Feb 2018 11:14:18 +0100] Rene Engelhard <rene@debian.org>:
+
+  * debian/patches/WEBSERVICE-DDE.diff:
+    - improve to not throw more errors than neccessary (use the right error
+      code) on WEBSERVICE() failures, thanks Jan-Marek Glogowski; do another
+      s/FormulaError::NoValue/formula::errNoValue/ for clarity
+    - backport 4a412bdf0387cc2cb59d656d0738a63a286ec497 from 5.4 branch
+      to let FunctionAccess execute WEBSERVICE
+
+  * debian/rules:
+    - do not run the tests except on i386 (notfatal) and amd64
+    - move dk.mk from -dev-common to -dev as it's not arch-indep, thanks
+      Rico Tzschichholz
+
 1:5.2.7-1+deb9u2 [Fri, 09 Feb 2018 07:22:22 +0100] Rene Engelhard <rene@debian.org>:
 
   * fix control
Comment 5 Arvid Requate univentionstaff 2018-05-14 19:35:07 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory Ok
Comment 6 Arvid Requate univentionstaff 2018-05-16 17:04:09 CEST
<http://errata.software-univention.de/ucs/4.3/57.html>